Package org.eclipse.microprofile.fault.tolerance.tck.retry.exception.hierarchy

# Class RetryService

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.retry.exception.hierarchy.RetryService

@RequestScoped public class RetryService extends Object

## Constructor Summary

Constructors
Constructor
Description
`RetryService()`

## Method Summary

Modifier and Type
Method
Description
`RetryStatus`
`getStatus()`
`void`
`serviceA(Throwable exception)`
`void`
`serviceB(Throwable exception)`
`void`
`serviceC(Throwable exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetryService

public RetryService()

## Method Details

### serviceA

@Retry(retryOn={E0.class,E2.class}, abortOn=E1.class, maxRetries=1) public void serviceA(Throwable exception) throws Throwable

Throws:
  `Throwable`

### serviceB

@Retry(retryOn={java.lang.Exception.class,E1.class}, abortOn={E0.class,E2.class}, maxRetries=1) public void serviceB(Throwable exception) throws Throwable

Throws:
  `Throwable`

### serviceC

@Retry(retryOn={E1.class,E2.class}, abortOn=E0.class, maxRetries=1) public void serviceC(Throwable exception) throws Throwable

Throws:
  `Throwable`

### getStatus

public RetryStatus getStatus()